Skip to main content
POST
/
v5
/
invoicing
/
sendReceipt
Send payment receipt(s)
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v5/invoicing/sendReceipt \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "invoiceIds": [
    123
  ]
}
'
[
  {
    "emailRetVal": {
      "status": "SUCCESS",
      "error": "<string>",
      "messageId": "<string>"
    },
    "invoiceId": "<string>",
    "success": true,
    "errorDescription": "<string>",
    "errors": {
      "fieldErrors": {},
      "globalErrors": [
        {
          "type": "DUPLICATE",
          "errorMessage": "<string>"
        }
      ]
    },
    "refundStatus": "PENDING"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*
invoiceIds
integer<int64>[]
required

Array of invoiceIds

Array of invoiceIds

Response

200 - application/json

Successful operation

emailRetVal
object
invoiceId
string
success
boolean
errorDescription
string
errors
object

Error object containing details errors incurred, if any

refundStatus
enum<string>
Available options:
PENDING,
SUCCEEDED,
FAILED,
UNKNOWN